# This are the settings to install the program with the configure script

proc ::Configure::Inputs {} \
{
  global ABOUT
  variable VAR
 
  #---set the required tcl/tk-version
  set VAR(RequiredTclTkVersion) "8.4"

  #---set the required tcl/tk-extenions or put in ""
  #set TK_INSTALL_VARS(REQUIRED_EXTENIONS) [list BLT]

  #---set the required background-tools
  # form:
  # "command"
  # "name of package in which the command is included | empty"
  # "the rights of the program | empty"
  # "needed version | empty"
  # "program parameter for version"
  # "search string for version"
  # "alternative programs | empty"
  set VAR(RequiredBackGroundTools) ""
  #set VAR(RequiredBackGroundTools) [lappend VAR(RequiredBackGroundTools) "envstat" "empty" "empty" "empty" "empty" "empty" "empty"] 
  
  #---set the Name of the main program
  set VAR(MainBin) ${ABOUT(Name)}.tcl
  
  #---set the name of the start file for the binary directory
  set VAR(StartScript) "$ABOUT(Name)"
  
  #---set the directories which you don't want to copy to the install dir
  set VAR(DontCopyDirs) ""
  #[list images]
 
  #---set the files which you don't want to copy to the install dir
  set VAR(DontCopyFiles) [list "configure" ".configure.tcl" "Makefile"]
 
  #---set the files extension which you don't want to copy to the install dir
  set VAR(DontCopyExt) [list ".bak"]
}
